includeAddonScript()
{
	tar xz -C "$MY_TEMP_FILES" -f "$ADDON_TAR" $ADDON_SCRIPT
	chmod +r "$MY_TEMP_FILES/$ADDON_SCRIPT"
	. "$MY_TEMP_FILES/$ADDON_SCRIPT"
	setAddonVersion
	if [ "$ADD_ON_NAME" = "not defined" ]; then
		ADD_ON_NAME="$UNKNOWN_ADDON"
		ADD_ON_VERSION=""
	fi
}



runAddonInstaller()
{
	if [ -e "$MY_TEMP_FILES/$ADDON_SCRIPT" ]; then
			addon_Install
	else
			echo
			echo "ERROR: File not found: $MY_TEMP_FILES/$ADDON_SCRIPT"
			cleanup
			exit 1;
	fi
}


addon_Install_Batch_Files()
{
	tar xz -C "$MY_TEMP_FILES" -f "$ADDON_TAR" "$ADD_ON_BATCH_TAR"
	if [ -e "$BATCH_FOLDER" ]; then
		echo -n "[`$NOW`] Installing FCNS upgrade scripts at \"$BATCH_FOLDER\" ... "
		tar xzf "$MY_TEMP_FILES/$ADD_ON_BATCH_TAR" -C "$BATCH_FOLDER"
		echo "done."
		BATCH_FILES_INSTALLED=1
		VERIFY_PO=2
	else
		echo "ERROR: Path not found: \"$BATCH_FOLDER\""
		cleanup
		exit 1;
	fi	
}
	
	